package sys
import (
	πg "grumpy"
	π_os "os"
	π_reflect "reflect"
	π_runtime "runtime"
	π_unicode "unicode"
)
func initModule(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
	ßArgs := πg.InternStr("Args")
	ßFalse := πg.InternStr("False")
	ßFd := πg.InternStr("Fd")
	ßMaxInt := πg.InternStr("MaxInt")
	ßMaxRune := πg.InternStr("MaxRune")
	ßNewFileFromFD := πg.InternStr("NewFileFromFD")
	ßNone := πg.InternStr("None")
	ßStderr := πg.InternStr("Stderr")
	ßStdin := πg.InternStr("Stdin")
	ßStdout := πg.InternStr("Stdout")
	ßSysModules := πg.InternStr("SysModules")
	ßSystemExit := πg.InternStr("SystemExit")
	ßVersion := πg.InternStr("Version")
	ß_Flags := πg.InternStr("_Flags")
	ß__exc_info__ := πg.InternStr("__exc_info__")
	ß__frame__ := πg.InternStr("__frame__")
	ß__metaclass__ := πg.InternStr("__metaclass__")
	ß__module__ := πg.InternStr("__module__")
	ß__name__ := πg.InternStr("__name__")
	ßappend := πg.InternStr("append")
	ßarg := πg.InternStr("arg")
	ßargv := πg.InternStr("argv")
	ßbyteorder := πg.InternStr("byteorder")
	ßbytes_warning := πg.InternStr("bytes_warning")
	ßdebug := πg.InternStr("debug")
	ßdivision_new := πg.InternStr("division_new")
	ßdivision_warning := πg.InternStr("division_warning")
	ßdont_write_bytecode := πg.InternStr("dont_write_bytecode")
	ßexc_info := πg.InternStr("exc_info")
	ßexit := πg.InternStr("exit")
	ßflags := πg.InternStr("flags")
	ßgoversion := πg.InternStr("goversion")
	ßhash_randomization := πg.InternStr("hash_randomization")
	ßignore_environment := πg.InternStr("ignore_environment")
	ßinspect := πg.InternStr("inspect")
	ßinteractive := πg.InternStr("interactive")
	ßlittle := πg.InternStr("little")
	ßmaxint := πg.InternStr("maxint")
	ßmaxsize := πg.InternStr("maxsize")
	ßmaxunicode := πg.InternStr("maxunicode")
	ßmodules := πg.InternStr("modules")
	ßno_site := πg.InternStr("no_site")
	ßno_user_site := πg.InternStr("no_user_site")
	ßobject := πg.InternStr("object")
	ßoptimize := πg.InternStr("optimize")
	ßpy3k_warning := πg.InternStr("py3k_warning")
	ßpy3kwarning := πg.InternStr("py3kwarning")
	ßstderr := πg.InternStr("stderr")
	ßstdin := πg.InternStr("stdin")
	ßstdout := πg.InternStr("stdout")
	ßtabcheck := πg.InternStr("tabcheck")
	ßtype := πg.InternStr("type")
	ßunicode := πg.InternStr("unicode")
	ßverbose := πg.InternStr("verbose")
	ßwarnoptions := πg.InternStr("warnoptions")
	var πTemp001 *πg.Object
	_ = πTemp001
	var πTemp002 map[string]*πg.Object
	_ = πTemp002
	var πTemp003 *πg.Object
	_ = πTemp003
	var πTemp004 []*πg.Object
	_ = πTemp004
	var πTemp005 *πg.Object
	_ = πTemp005
	var πTemp006 *πg.Object
	_ = πTemp006
	var πTemp007 *πg.Object
	_ = πTemp007
	var πTemp008 *πg.Dict
	_ = πTemp008
	var πTemp009 []πg.FunctionArg
	_ = πTemp009
	var πE *πg.BaseException; _ = πE
	for ; πF.State() >= 0; πF.PopCheckpoint() {
		switch πF.State() {
		case 0:
		default: panic("unexpected function state")
		}
		// line 15: """System-specific parameters and functions."""
		πF.SetLineno(15)
		// line 17: from __go__.os import Args, Stdin, Stdout, Stderr
		πF.SetLineno(17)
		πTemp002 = map[string]*πg.Object{}
		if πTemp003, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_os.Args)); πE != nil {
			continue
		}
		πTemp002["Args"] = πTemp003
		if πTemp003, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_os.Stdin)); πE != nil {
			continue
		}
		πTemp002["Stdin"] = πTemp003
		if πTemp003, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_os.Stdout)); πE != nil {
			continue
		}
		πTemp002["Stdout"] = πTemp003
		if πTemp003, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_os.Stderr)); πE != nil {
			continue
		}
		πTemp002["Stderr"] = πTemp003
		if πTemp001, πE = πg.ImportNativeModule(πF, "__go__.os", πTemp002); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp001, ßArgs, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßArgs.ToObject(), πTemp003); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp001, ßStdin, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßStdin.ToObject(), πTemp003); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp001, ßStdout, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßStdout.ToObject(), πTemp003); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp001, ßStderr, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßStderr.ToObject(), πTemp003); πE != nil {
			continue
		}
		// line 18: from __go__.grumpy import SysModules, MaxInt, NewFileFromFD  # pylint: disable=g-multiple-import
		πF.SetLineno(18)
		πTemp002 = map[string]*πg.Object{}
		if πTemp003, πE = πg.WrapNative(πF, π_reflect.ValueOf(πg.SysModules)); πE != nil {
			continue
		}
		πTemp002["SysModules"] = πTemp003
		if πTemp003, πE = πg.WrapNative(πF, π_reflect.ValueOf(πg.MaxInt)); πE != nil {
			continue
		}
		πTemp002["MaxInt"] = πTemp003
		if πTemp003, πE = πg.WrapNative(πF, π_reflect.ValueOf(πg.NewFileFromFD)); πE != nil {
			continue
		}
		πTemp002["NewFileFromFD"] = πTemp003
		if πTemp001, πE = πg.ImportNativeModule(πF, "__go__.grumpy", πTemp002); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp001, ßSysModules, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßSysModules.ToObject(), πTemp003); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp001, ßMaxInt, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßMaxInt.ToObject(), πTemp003); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp001, ßNewFileFromFD, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßNewFileFromFD.ToObject(), πTemp003); πE != nil {
			continue
		}
		// line 19: from __go__.runtime import Version
		πF.SetLineno(19)
		πTemp002 = map[string]*πg.Object{}
		if πTemp003, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_runtime.Version)); πE != nil {
			continue
		}
		πTemp002["Version"] = πTemp003
		if πTemp001, πE = πg.ImportNativeModule(πF, "__go__.runtime", πTemp002); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp001, ßVersion, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßVersion.ToObject(), πTemp003); πE != nil {
			continue
		}
		// line 20: from __go__.unicode import MaxRune
		πF.SetLineno(20)
		πTemp002 = map[string]*πg.Object{}
		if πTemp003, πE = πg.WrapNative(πF, π_reflect.ValueOf(π_unicode.MaxRune)); πE != nil {
			continue
		}
		πTemp002["MaxRune"] = πTemp003
		if πTemp001, πE = πg.ImportNativeModule(πF, "__go__.unicode", πTemp002); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp001, ßMaxRune, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßMaxRune.ToObject(), πTemp003); πE != nil {
			continue
		}
		// line 22: argv = []
		πF.SetLineno(22)
		πTemp004 = make([]*πg.Object, 0)
		πTemp001 = πg.NewList(πTemp004...).ToObject()
		if πE = πF.Globals().SetItem(πF, ßargv.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 23: for arg in Args:
		πF.SetLineno(23)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßArgs); πE != nil {
			continue
		}
		if πTemp003, πE = πg.Iter(πF, πTemp001); πE != nil {
			continue
		}
	Label1:
		if πTemp005, πE = πg.Next(πF, πTemp003); πE != nil {
			isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
			if exc != nil {
				πE = exc
				continue
			}
			if !isStop {
				continue
			}
			πE = nil
			πF.RestoreExc(nil, nil)
			goto Label2
		}
		if πE = πF.Globals().SetItem(πF, ßarg.ToObject(), πTemp005); πE != nil {
			continue
		}
		// line 24: argv.append(arg)
		πF.SetLineno(24)
		πTemp004 = πF.MakeArgs(1)
		if πTemp006, πE = πg.ResolveGlobal(πF, ßarg); πE != nil {
			continue
		}
		πTemp004[0] = πTemp006
		if πTemp006, πE = πg.ResolveGlobal(πF, ßargv); πE != nil {
			continue
		}
		if πTemp007, πE = πg.GetAttr(πF, πTemp006, ßappend, nil); πE != nil {
			continue
		}
		if πTemp006, πE = πTemp007.Call(πF, πTemp004, nil); πE != nil {
			continue
		}
		πF.FreeArgs(πTemp004)
		goto Label1
		goto Label2
	Label2:
		// line 26: goversion = Version()
		πF.SetLineno(26)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßVersion); πE != nil {
			continue
		}
		if πTemp003, πE = πTemp001.Call(πF, nil, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßgoversion.ToObject(), πTemp003); πE != nil {
			continue
		}
		// line 27: maxint = MaxInt
		πF.SetLineno(27)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßMaxInt); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßmaxint.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 28: maxsize = maxint
		πF.SetLineno(28)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßmaxint); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßmaxsize.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 29: maxunicode = MaxRune
		πF.SetLineno(29)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßMaxRune); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßmaxunicode.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 30: modules = SysModules
		πF.SetLineno(30)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßSysModules); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßmodules.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 31: py3kwarning = False
		πF.SetLineno(31)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßFalse); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßpy3kwarning.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 32: warnoptions = []
		πF.SetLineno(32)
		πTemp004 = make([]*πg.Object, 0)
		πTemp001 = πg.NewList(πTemp004...).ToObject()
		if πE = πF.Globals().SetItem(πF, ßwarnoptions.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 34: byteorder = 'little'
		πF.SetLineno(34)
		if πE = πF.Globals().SetItem(πF, ßbyteorder.ToObject(), ßlittle.ToObject()); πE != nil {
			continue
		}
		// line 36: stdin = NewFileFromFD(Stdin.Fd())
		πF.SetLineno(36)
		πTemp004 = πF.MakeArgs(1)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßStdin); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp001, ßFd, nil); πE != nil {
			continue
		}
		if πTemp001, πE = πTemp003.Call(πF, nil, nil); πE != nil {
			continue
		}
		πTemp004[0] = πTemp001
		if πTemp001, πE = πg.ResolveGlobal(πF, ßNewFileFromFD); πE != nil {
			continue
		}
		if πTemp003, πE = πTemp001.Call(πF, πTemp004, nil); πE != nil {
			continue
		}
		πF.FreeArgs(πTemp004)
		if πE = πF.Globals().SetItem(πF, ßstdin.ToObject(), πTemp003); πE != nil {
			continue
		}
		// line 37: stdout = NewFileFromFD(Stdout.Fd())
		πF.SetLineno(37)
		πTemp004 = πF.MakeArgs(1)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßStdout); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp001, ßFd, nil); πE != nil {
			continue
		}
		if πTemp001, πE = πTemp003.Call(πF, nil, nil); πE != nil {
			continue
		}
		πTemp004[0] = πTemp001
		if πTemp001, πE = πg.ResolveGlobal(πF, ßNewFileFromFD); πE != nil {
			continue
		}
		if πTemp003, πE = πTemp001.Call(πF, πTemp004, nil); πE != nil {
			continue
		}
		πF.FreeArgs(πTemp004)
		if πE = πF.Globals().SetItem(πF, ßstdout.ToObject(), πTemp003); πE != nil {
			continue
		}
		// line 38: stderr = NewFileFromFD(Stderr.Fd())
		πF.SetLineno(38)
		πTemp004 = πF.MakeArgs(1)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßStderr); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp001, ßFd, nil); πE != nil {
			continue
		}
		if πTemp001, πE = πTemp003.Call(πF, nil, nil); πE != nil {
			continue
		}
		πTemp004[0] = πTemp001
		if πTemp001, πE = πg.ResolveGlobal(πF, ßNewFileFromFD); πE != nil {
			continue
		}
		if πTemp003, πE = πTemp001.Call(πF, πTemp004, nil); πE != nil {
			continue
		}
		πF.FreeArgs(πTemp004)
		if πE = πF.Globals().SetItem(πF, ßstderr.ToObject(), πTemp003); πE != nil {
			continue
		}
		// line 41: class _Flags(object):
		πF.SetLineno(41)
		πTemp004 = make([]*πg.Object, 1)
		if πTemp005, πE = πg.ResolveGlobal(πF, ßobject); πE != nil {
			continue
		}
		πTemp004[0] = πTemp005
		πTemp008 = πg.NewDict()
		if πTemp001, πE = πF.Globals().GetItem(πF, ß__name__.ToObject()); πE != nil {
			continue
		}
		if πE = πTemp008.SetItem(πF, ß__module__.ToObject(), πTemp001); πE != nil {
			continue
		}
		_, πE = πg.NewCode("_Flags", "lib/sys.py", nil, 0, func(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
			πClass := πTemp008
			_ = πClass
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 42: """Container class for sys.flags."""
				πF.SetLineno(42)
				// line 43: debug = 0
				πF.SetLineno(43)
				if πE = πClass.SetItem(πF, ßdebug.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 44: py3k_warning = 0
				πF.SetLineno(44)
				if πE = πClass.SetItem(πF, ßpy3k_warning.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 45: division_warning = 0
				πF.SetLineno(45)
				if πE = πClass.SetItem(πF, ßdivision_warning.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 46: division_new = 0
				πF.SetLineno(46)
				if πE = πClass.SetItem(πF, ßdivision_new.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 47: inspect = 0
				πF.SetLineno(47)
				if πE = πClass.SetItem(πF, ßinspect.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 48: interactive = 0
				πF.SetLineno(48)
				if πE = πClass.SetItem(πF, ßinteractive.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 49: optimize = 0
				πF.SetLineno(49)
				if πE = πClass.SetItem(πF, ßoptimize.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 50: dont_write_bytecode = 0
				πF.SetLineno(50)
				if πE = πClass.SetItem(πF, ßdont_write_bytecode.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 51: no_user_site = 0
				πF.SetLineno(51)
				if πE = πClass.SetItem(πF, ßno_user_site.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 52: no_site = 0
				πF.SetLineno(52)
				if πE = πClass.SetItem(πF, ßno_site.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 53: ignore_environment = 0
				πF.SetLineno(53)
				if πE = πClass.SetItem(πF, ßignore_environment.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 54: tabcheck = 0
				πF.SetLineno(54)
				if πE = πClass.SetItem(πF, ßtabcheck.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 55: verbose = 0
				πF.SetLineno(55)
				if πE = πClass.SetItem(πF, ßverbose.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 56: unicode = 0
				πF.SetLineno(56)
				if πE = πClass.SetItem(πF, ßunicode.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 57: bytes_warning = 0
				πF.SetLineno(57)
				if πE = πClass.SetItem(πF, ßbytes_warning.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				// line 58: hash_randomization = 0
				πF.SetLineno(58)
				if πE = πClass.SetItem(πF, ßhash_randomization.ToObject(), πg.NewInt(0).ToObject()); πE != nil {
					continue
				}
				return nil, nil
			}
			return nil, πE
		}).Eval(πF, πF.Globals(), nil, nil)
		if πE != nil {
			return nil, πE
		}
		if πTemp003, πE = πTemp008.GetItem(πF, ß__metaclass__.ToObject()); πE != nil {
			return nil, πE
		}
		if πTemp003 == nil {
			πTemp003 = πg.TypeType.ToObject()
		}
		if πTemp005, πE = πTemp003.Call(πF, []*πg.Object{πg.NewStr("_Flags").ToObject(), πg.NewTuple(πTemp004...).ToObject(), πTemp008.ToObject()}, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ß_Flags.ToObject(), πTemp005); πE != nil {
			continue
		}
		// line 61: flags = _Flags()
		πF.SetLineno(61)
		if πTemp001, πE = πg.ResolveGlobal(πF, ß_Flags); πE != nil {
			continue
		}
		if πTemp003, πE = πTemp001.Call(πF, nil, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßflags.ToObject(), πTemp003); πE != nil {
			continue
		}
		// line 64: def exc_info():
		πF.SetLineno(64)
		πTemp009 = make([]πg.FunctionArg, 0)
		πTemp001 = πg.NewFunction(πg.NewCode("exc_info", "lib/sys.py", πTemp009, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µe *πg.Object = πg.UnboundLocal; _ = µe
			var µtb *πg.Object = πg.UnboundLocal; _ = µtb
			var µt *πg.Object = πg.UnboundLocal; _ = µt
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 bool
			_ = πTemp004
			var πTemp005 []*πg.Object
			_ = πTemp005
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 65: e, tb = __frame__().__exc_info__()  # pylint: disable=undefined-variable
				πF.SetLineno(65)
				if πTemp001, πE = πg.ResolveGlobal(πF, ß__frame__); πE != nil {
					continue
				}
				if πTemp002, πE = πTemp001.Call(πF, nil, nil); πE != nil {
					continue
				}
				if πTemp001, πE = πg.GetAttr(πF, πTemp002, ß__exc_info__, nil); πE != nil {
					continue
				}
				if πTemp002, πE = πTemp001.Call(πF, nil, nil); πE != nil {
					continue
				}
				if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp001}, πg.TieTarget{Target: &πTemp003}}}, πTemp002); πE != nil {
					continue
				}
				µe = πTemp001
				µtb = πTemp003
				// line 66: t = None
				πF.SetLineno(66)
				if πTemp001, πE = πg.ResolveGlobal(πF, ßNone); πE != nil {
					continue
				}
				µt = πTemp001
				if πE = πg.CheckLocal(πF, µe, "e"); πE != nil {
					continue
				}
				if πTemp004, πE = πg.IsTrue(πF, µe); πE != nil {
					return nil, πE
				}
				if πTemp004 {
					goto Label1
				}
				goto Label2
				// line 67: if e:
				πF.SetLineno(67)
			Label1:
				// line 68: t = type(e)
				πF.SetLineno(68)
				πTemp005 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µe, "e"); πE != nil {
					continue
				}
				πTemp005[0] = µe
				if πTemp001, πE = πg.ResolveGlobal(πF, ßtype); πE != nil {
					continue
				}
				if πTemp002, πE = πTemp001.Call(πF, πTemp005, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp005)
				µt = πTemp002
				goto Label2
			Label2:
				// line 69: return t, e, tb
				πF.SetLineno(69)
				πTemp005 = make([]*πg.Object, 3)
				if πE = πg.CheckLocal(πF, µt, "t"); πE != nil {
					continue
				}
				πTemp005[0] = µt
				if πE = πg.CheckLocal(πF, µe, "e"); πE != nil {
					continue
				}
				πTemp005[1] = µe
				if πE = πg.CheckLocal(πF, µtb, "tb"); πE != nil {
					continue
				}
				πTemp005[2] = µtb
				πTemp001 = πg.NewTuple(πTemp005...).ToObject()
				return πTemp001, nil
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßexc_info.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 72: def exit(code=None):  # pylint: disable=redefined-builtin
		πF.SetLineno(72)
		πTemp009 = make([]πg.FunctionArg, 1)
		if πTemp005, πE = πg.ResolveGlobal(πF, ßNone); πE != nil {
			continue
		}
		πTemp009[0] = πg.FunctionArg{Name: "code", Def: πTemp005}
		πTemp003 = πg.NewFunction(πg.NewCode("exit", "lib/sys.py", πTemp009, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µcode *πg.Object = πArgs[0]; _ = µcode
			var πTemp001 []*πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µcode, "code"); πE != nil {
					continue
				}
				πTemp001[0] = µcode
				if πTemp002, πE = πg.ResolveGlobal(πF, ßSystemExit); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				// line 73: raise SystemExit(code)
				πF.SetLineno(73)
				πE = πF.Raise(πTemp003, nil, nil)
				continue
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßexit.ToObject(), πTemp003); πE != nil {
			continue
		}
		return nil, nil
	}
	return nil, πE
}
var Code *πg.Code
func init() {
	Code = πg.NewCode("<module>", "lib/sys.py", nil, 0, initModule)
}
